Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Add Store Group Market to Bundle Group

Associates a specific market within a store group with the product bundle group. This enables fine-grained control over which markets the bundle is available in per store group. Triggers a sync event if the bundle group is compliant.

PUT/api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/store-groups/{store_group}/markets/{market_slug}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

market_slugstringrequired

Market slug

store_groupstringrequired

Store group slug

bundle_group_idstringrequired
Responses
200

Updated product

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.BundleGrouprequired
Show properties
bundlesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Bundle[] | null

Bundles associated with the group

Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Bundle
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
compliantgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Compliance

Compliance level for the bundle

created_atstring

Creation timestamp

discount_percentageinteger | null

Discount percentage [1-100]

discount_typestring | null

Discount type [fixed, relative]

discountsobject | null

Discount for bundle. Amount is stored in cents

idstring

ID

rulesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BundleRule[] | null

Bundle rules

Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.BundleRule
bundle_idstring

Bundle ID

discount_percentageinteger | null

Discount percentage [1-100]

discount_typestring | null

Discount type [fixed, relative]

discountsobject | null

Discount for bundle. Amount is stored in cents

exclude_discounted_priceboolean

If products with discounted price should be excluded

exclude_full_priceboolean

If products with full price should be excluded

idstring

ID

itemsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BundleItem[] | null

Products associated with the bundle rule

Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.BundleItem
descriptionstring
idstring
image_urlsstring[] | null
product_namestring
product_numberstring
slugstring
quantityinteger

Quantity of products needed to trigger the bundle

tag_conditionsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.TagConditionsResp

Conditions for discount tags

Show properties
brandsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp | null
Show properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp
modegithub_com_enadhq_nabbit_internal_pkg_webserver_models.DiscountTagEntityMode
Allowed:includeexclude
valuesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.TagConditionTag[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.TagConditionTag
idstring
namestring
null
null
categoriesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp | null
Show properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp
github_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp
null
null
collectionsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp | null
Show properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp
github_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp
null
null
seriesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp | null
Show properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp
github_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp
null
null
tagsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp | null
Show properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp
github_com_enadhq_nabbit_internal_pkg_webserver_models.SingleTagConditionResp
null
null
statusstring

Status of the bundle

updated_atstring | null

Last updated timestamp

compliancegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Compliance

Compliance level for the bundle group, "none" means that there is no valid/complete configuration, "partial" means that some of the rules are valid, "full" means that all rules are valid

Show properties
infostring[] | null

Explanation of any issues with the bundle, it will be empty if the bundle is fully compliant

levelgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BundleCompliance

Compliance level for the bundle, "full" if all rules are valid, "partial" if some rules are valid but it can still be used as a bundle, "none" if no rules are valid

Allowed:nonepartialfull
created_atstring

Creation timestamp

descriptionstring | null
end_datestring | null

End date of the bundle group

idstring

ID

marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BundleGroupMarket[] | null

Markets associated with the bundle group

Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.BundleGroupMarket
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
store_group_idstring

Store group ID

store_group_slugstring

Store group slug

updated_atstring | null
namestring

Name of the bundle group

start_datestring | null

Start date of the bundle group

translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BundleGroupTranslation

Bundle group translations

Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
updated_atstring | null

Last updated timestamp

detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/bundle-groups/string/store-groups/string/markets/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "bundles": [
      {
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "compliant": {
          "info": [
            "string"
          ],
          "level": "none"
        },
        "created_at": "string",
        "discount_percentage": 0,
        "discount_type": "string",
        "discounts": {
          "property1": 0,
          "property2": 0
        },
        "id": "string",
        "rules": [
          {
            "bundle_id": "string",
            "discount_percentage": 0,
            "discount_type": "string",
            "discounts": {
              "property1": 0,
              "property2": 0
            },
            "exclude_discounted_price": true,
            "exclude_full_price": true,
            "id": "string",
            "items": [
              {
                "description": "string",
                "id": "string",
                "image_urls": [
                  "string"
                ],
                "product_name": "string",
                "product_number": "string",
                "slug": "string"
              }
            ],
            "quantity": 0,
            "tag_conditions": {
              "brands": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              },
              "categories": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              },
              "collections": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              },
              "series": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              },
              "tags": {
                "mode": "include",
                "values": [
                  {
                    "id": "string",
                    "name": "string"
                  }
                ]
              }
            }
          }
        ],
        "status": "string",
        "updated_at": "string"
      }
    ],
    "compliance": {
      "info": [
        "string"
      ],
      "level": "none"
    },
    "created_at": "string",
    "description": "string",
    "end_date": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "store_group_id": "string",
        "store_group_slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "start_date": "string",
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "name": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}